#include "OpenGlInterface.h"
#ifdef _WIN32
#include <windows.h>
#endif

#include <GL/gl.h>

void OpenGlInterface::draw()
{
    glClearColor(0.4, 0.4, 0.4, 0.4);
    glClear(GL_COLOR_BUFFER_BIT);

    glColor3f(1.0, 1.0, 1.0);
    glOrtho(-1.0, 1.0, -1.0, 1.0, -1.0, 1.0);

    glBegin(GL_TRIANGLES);
        glVertex3f(-0.7, 0.7, 0);
        glVertex3f(0.7, 0.7, 0);
        glVertex3f(0, -1, 0);
    glEnd();

    glFlush();
}
